TaskAttemptRecoverEvent (Apache Hadoop MapReduce App 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app.job.event, class: TaskAttemptRecoverEvent

Package org.apache.hadoop.mapreduce.v2.app.job.event

# Class TaskAttemptRecoverEvent

java.lang.Object
org.apache.hadoop.yarn.event.AbstractEvent<TaskAttemptEventType>
org.apache.hadoop.mapreduce.v2.app.job.event.TaskAttemptEvent
org.apache.hadoop.mapreduce.v2.app.job.event.TaskAttemptRecoverEvent

All Implemented Interfaces:
  `org.apache.hadoop.yarn.event.Event<TaskAttemptEventType>`

public class TaskAttemptRecoverEvent extends TaskAttemptEvent

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskAttemptRecoverEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id, org.apache.hadoop.mapreduce.jobhistory.JobHistoryParser.TaskAttemptInfo taInfo, org.apache.hadoop.mapreduce.OutputCommitter committer, boolean recoverOutput)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.mapreduce.OutputCommitter`
  `getCommitter()`
  `boolean`
  `getRecoverOutput()`
  `org.apache.hadoop.mapreduce.jobhistory.JobHistoryParser.TaskAttemptInfo`
  `getTaskAttemptInfo()`

  ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.job.event.TaskAttemptEvent

  `getTaskAttemptID`

  ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

  `getTimestamp, getType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TaskAttemptRecoverEvent

    public TaskAttemptRecoverEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id, org.apache.hadoop.mapreduce.jobhistory.JobHistoryParser.TaskAttemptInfo taInfo, org.apache.hadoop.mapreduce.OutputCommitter committer, boolean recoverOutput)

- ## Method Details

  - ### getTaskAttemptInfo

    public org.apache.hadoop.mapreduce.jobhistory.JobHistoryParser.TaskAttemptInfo getTaskAttemptInfo()

  - ### getCommitter

    public org.apache.hadoop.mapreduce.OutputCommitter getCommitter()

  - ### getRecoverOutput

    public boolean getRecoverOutput()